package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class TakePictureBean implements Parcelable {
    private String field = ""; //key
    private String title = ""; //名称
    private int number = 1; //默认显示张数

    public TakePictureBean(){

    }
    protected TakePictureBean(Parcel in) {
        field = in.readString();
        title = in.readString();
        number = in.readInt();
    }

    public static final Creator<TakePictureBean> CREATOR = new Creator<TakePictureBean>() {
        @Override
        public TakePictureBean createFromParcel(Parcel in) {
            return new TakePictureBean(in);
        }

        @Override
        public TakePictureBean[] newArray(int size) {
            return new TakePictureBean[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(field);
        parcel.writeString(title);
        parcel.writeInt(number);
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }
}
